CREATE OR REPLACE PROCEDURE CONCLUI_PROJETO
AS

V_CDOPERADOR    PLANATIVTARE.CDOPERRESP%TYPE;
V_TEMPOMIN      PROCESSO.QTTEMPMINATIV%TYPE;
V_VRPRODMEDES   PROCESSO.VRPRODMEDES%TYPE;
V_PONTO         PLANATIVTARE.NRCPLXPLANAT%TYPE;
V_NRTAREFA      PLANATIVTARE.NRTAREFA%TYPE;
V_NRPLATIVTARE  PLANATIVTARE.NRPLATIVTARE%TYPE;

BEGIN
   FOR C_PROJETO IN (SELECT SL.CDFILIAL, SL.CDPROJETO, COUNT(PL.NRTAREFA) AS QTDEATIV
                     FROM SOLIBASELINE SL, SOLISERV SO, TAREFA TA, PLANATIVTARE PL
                     WHERE SL.CDFILIAL     = SO.CDFILIAL
                       AND SL.NRSOLISERV   = SO.NRSOLISERV
                       AND SL.CDFILIAL     = TA.CDFILIAL
                       AND SL.NRSOLISERV   = TA.NRSOLISERV
                       AND TA.CDFILIAL     = PL.CDFILIAL
                       AND TA.NRTAREFA     = PL.NRTAREFA
                       AND PL.IDSITATIVTAR <> 'C'
                     GROUP BY SL.CDFILIAL, SL.CDPROJETO) LOOP

      IF C_PROJETO.QTDEATIV = 0 THEN
         UPDATE PROJETO
         SET IDSITPROJETO = 'C'
         WHERE CDFILIAL  = C_PROJETO.CDFILIAL
           AND CDPROJETO = C_PROJETO.CDPROJETO;

         SELECT QTTEMPMINATIV, VRPRODMEDES
         INTO V_TEMPOMIN, V_VRPRODMEDES
         FROM PROCESSO
         WHERE CDPROCESSO = '0000011267';

         SELECT CDOPERESPRJ
         INTO V_CDOPERADOR
         FROM PROJETO
         WHERE CDFILIAL = C_PROJETO.CDFILIAL
           AND CDPROJETO = C_PROJETO.CDPROJETO;


         V_PONTO := ROUND(V_TEMPOMIN * V_VRPRODMEDES,2);

         USR_NOVO_CODIGO('TAREFA'||C_PROJETO.CDFILIAL, V_NRTAREFA);
         V_NRTAREFA := SUBSTR(V_NRTAREFA,11,10);

         INSERT INTO TAREFA
         (CDFILIAL, NRTAREFA, DSREFETAREFA, CDASSUNTO, CDCLIENTE,
          CDOPERRESP, CDOPERABER, DTABERTAREFA, IDSITTAREFA, IDORIGTARE)
         VALUES
         (C_PROJETO.CDFILIAL, V_NRTAREFA, C_PROJETO.CDPROJETO||' Calibragem de Complexidade', '00018', 'J26269316000177',
          V_CDOPERADOR, V_CDOPERADOR, SYSDATE, 'P', '1');

         USR_NOVO_CODIGO('PLANATIVTARE'||C_PROJETO.CDFILIAL||V_NRTAREFA, V_NRPLATIVTARE);
         V_NRPLATIVTARE := SUBSTR(V_NRPLATIVTARE,16,20);

         INSERT INTO PLANATIVTARE
         (CDFILIAL, NRTAREFA, NRPLATIVTARE, CDPROCESSO,
          CDOPERRESP, IDSITATIVTAR, DTINCATIVTAR, CDOPERINCL, QTTEMPLAITAR, NRCPLXPLANAT, NRCPLXITATIV)
         VALUES
         (C_PROJETO.CDFILIAL, V_NRTAREFA, V_NRPLATIVTARE, '0000011267',
          V_CDOPERADOR, 'P', SYSDATE, V_CDOPERADOR, V_TEMPOMIN, V_PONTO, V_PONTO);

      END IF;
   END LOOP;
   COMMIT;
END;
/
-- VERSAO --
BEGIN ATUVEROBJ('CONCLUI_PROJETO','4.11.046'); END;
/





