/* Sistemas Integrados TEKNISA
   Compras e Suprimentos

Nome: 8971_SUPTRGS

Descrio:

Atualiza a data/hora da ltima alterao sobre os registros da tabela de itens
de pedidos de coleta e, alm disso, altera o identificador para garantir que o preo
econmico do item seja atualizado novamente ao realizar a equalizao de fornecedores

Criao:
13/06/2011 Marcelo Alexsandro Souza Silva
*/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_ITEMPEDCOL'  and
            type = 'TR'                 and
            u.uid = o.uid               and
            u.name = USER)
  DROP TRIGGER DTULTATU_ITEMPEDCOL
  GO

CREATE TRIGGER DTULTATU_ITEMPEDCOL
ON ITEMPEDCOL
FOR UPDATE
AS
/*VARIVEIS DO CURSOR C_TRG_ITEMPEDCOL*/
DECLARE @V_NEW_CDFILIAL        VARCHAR(4);
DECLARE @V_NEW_NRPEDCOLETA     VARCHAR(10);
DECLARE @V_NEW_CDFORNECED      VARCHAR(21);
DECLARE @V_NEW_CDREGIAO        VARCHAR(3);
DECLARE @V_NEW_CDPRODUTO       VARCHAR(10);
DECLARE @V_NEW_CDMARCA         VARCHAR(5);
DECLARE @V_CONTA_REG_INS NUMERIC(10);
BEGIN
   SELECT @V_CONTA_REG_INS = COUNT(*)
   FROM INSERTED;
   IF @V_CONTA_REG_INS <> 0 --SIGNIFICA QUE FOI OU INSERO DE DADOS OU ALTERAO
   BEGIN
    	DECLARE C_TRGITEMPEDCOL CURSOR FOR
      SELECT
         INSERTED.CDFILIAL,     INSERTED.NRPEDCOLETA,     INSERTED.CDFORNECED,
         INSERTED.CDREGIAO,     INSERTED.CDPRODUTO,       INSERTED.CDMARCA
      FROM INSERTED, DELETED
      WHERE INSERTED.CDFILIAL    = DELETED.CDFILIAL    AND
            INSERTED.NRPEDCOLETA = DELETED.NRPEDCOLETA AND
            INSERTED.CDFORNECED  = DELETED.CDFORNECED  AND
            INSERTED.CDREGIAO    = DELETED.CDREGIAO    AND
            INSERTED.CDPRODUTO   = DELETED.CDPRODUTO   AND
            INSERTED.CDMARCA     = DELETED.CDMARCA     AND
            ISNULL(INSERTED.VRITEMPEDCOL, 0 ) <> ISNULL(DELETED.VRITEMPEDCOL, 0 );

      OPEN C_TRGITEMPEDCOL;
      FETCH NEXT FROM C_TRGITEMPEDCOL INTO @V_NEW_CDFILIAL,     @V_NEW_NRPEDCOLETA,
                                           @V_NEW_CDFORNECED,   @V_NEW_CDREGIAO,
                                           @V_NEW_CDPRODUTO,    @V_NEW_CDMARCA;

      WHILE (@@FETCH_STATUS = 0)
      BEGIN
         UPDATE ITEMPEDCOL
         SET DTULTATUITPCOL  = GETDATE(),
             IDPRECONPCOLATU = 'N'
         WHERE CDFILIAL     = @V_NEW_CDFILIAL    AND
               NRPEDCOLETA  = @V_NEW_NRPEDCOLETA AND
               CDFORNECED   = @V_NEW_CDFORNECED  AND
               CDREGIAO     = @V_NEW_CDREGIAO    AND
               CDPRODUTO    = @V_NEW_CDPRODUTO   AND
               CDMARCA      = @V_NEW_CDMARCA;

         FETCH NEXT FROM C_TRGITEMPEDCOL INTO @V_NEW_CDFILIAL,     @V_NEW_NRPEDCOLETA,
                                              @V_NEW_CDFORNECED,   @V_NEW_CDREGIAO,
                                              @V_NEW_CDPRODUTO,    @V_NEW_CDMARCA;
      END;
      CLOSE C_TRGITEMPEDCOL;
      DEALLOCATE C_TRGITEMPEDCOL;
   END;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'DTULTATU_ITEMPEDCOL','5.05.005';
GO

