# Changelog

## [v3.15.0][TREE_3_15_0]
[Full Changelog][CHANGES_3_15_0]

**Features**
- Criação de um campo 'Tipo' para boquear a edição de layouts fixos do projeto. Para conseguir utilizar essa melhoria, é necessário atualizar o [Zeedhi Preferences Backend][PREFERENCES_BACKEND] para versões >= 2.3.0

**Improvements**
- Alterações feitas para que campos novos criados pelos desenvolvedores não tenham impacto em layouts que já estavam feitos pelo usuário final. Sugerimos um aviso de campos novos quando este campo for importante para o entendimento da tela, pois caso o usuário tenha um layout próprio ele não notará as alterações.

[TREE_3_15_0]: http://code.zeedhi.com/zeedhi-components/zh-layout-preferences/tree/v3.15.0
[CHANGES_3_15_0]: http://code.zeedhi.com/zeedhi-components/zh-layout-preferences/compare/v3.14.0...v3.15.0


## [v3.14.0][TREE_3_14_0]
[Full Changelog][CHANGES_3_14_0]

**Improvements**
- Feito com que a requisição de layouts seja feita ao abrir o card
- Processamento da requisição de regras default com os objetos completos. Isto possibilita que as preferências default já sejam carregadas sem precisar fazer requisições de todos filtros, layouts e views. Para conseguir utilizar essa melhoria, é necessário utilizar as preferências nas seguintes versões:
 - Frontend:
        - [zh-filter-preferences][FILTER_PREFERENCES] >= 3.22.0
        - [zh-view-preferences][VIEW_PREFERENCES] (ou [zh-customization-preferences][VIEW_PREFERENCES]) >= 3.12.0
        - [zh-preferences][PREFERENCES_FRONTEND] (ou [zh-customizations-service][PREFERENCES_FRONTEND]) >= 3.9.0
 - Backend:
        - [zeedhi/preferences][PREFERENCES_BACKEND] >= 2.1.0

[TREE_3_14_0]: http://code.zeedhi.com/zeedhi-components/zh-layout-preferences/tree/v3.14.0
[CHANGES_3_14_0]: http://code.zeedhi.com/zeedhi-components/zh-layout-preferences/compare/v3.13.2...v3.14.0


## [v3.13.2][TREE_3_13_2]
[Full Changelog][CHANGES_3_13_2]

**Improvements**
- Adição das configurações para tradução. Para utilizar, basta adicionar o repositório 'git@192.168.122.56:zeedhi-components/zh-layout-preferences.git' ao seu produto através do [Translate Management][TRANSLATE_MANAGEMENT]

[TREE_3_13_2]: http://code.zeedhi.com/zeedhi-components/zh-layout-preferences/tree/v3.13.2
[CHANGES_3_13_2]: http://code.zeedhi.com/zeedhi-components/zh-layout-preferences/compare/v3.13.1...v3.13.2


## [v3.13.1][TREE_3_13_1]
[Full Changelog][CHANGES_3_13_1]

**Bugs**
- Correção do erro 'widget.setAppliedLayout is not a function'
- Adição do controle de versão do [Zeedhi Framework][ZEEDHI_FRONTEND] para corrigir o erro de visualização dos campos de configuração do layout

[TREE_3_13_1]: http://code.zeedhi.com/zeedhi-components/zh-layout-preferences/tree/v3.13.1
[CHANGES_3_13_1]: http://code.zeedhi.com/zeedhi-components/zh-layout-preferences/compare/v3.13.0...v3.13.1


## [v3.13.0][TREE_3_13_0]
[Full Changelog][CHANGES_3_13_0]

**Improvements**
- Exclusão de digests desnecessários
- Melhorias no consumo de memória

**Features**
- Opção de configurar o "groupOpened" para campos agrupados

[TREE_3_13_0]: http://code.zeedhi.com/zeedhi-components/zh-layout-preferences/tree/v3.13.0
[CHANGES_3_13_0]: http://code.zeedhi.com/zeedhi-components/zh-layout-preferences/compare/v3.12.0...v3.13.0


## [v3.12.0][TREE_3_12_0]
[Full Changelog][CHANGES_3_12_0]

**Bugs**
- Reload considerando apenas o userId logado no backend

[TREE_3_12_0]: http://code.zeedhi.com/zeedhi-components/zh-layout-preferences/tree/v3.12.0
[CHANGES_3_12_0]: http://code.zeedhi.com/zeedhi-components/zh-layout-preferences/compare/v3.11.0...v3.12.0


## [v3.10.0][TREE_3_10_0]
[Full Changelog][CHANGES_3_10_0]

**Bugs**
- Correção na validação dos campos mesmo sem uma primeira alteração

**Improvements**
- Ordenação das colunas visíveis

[TREE_3_10_0]: http://code.zeedhi.com/zeedhi-components/zh-layout-preferences/tree/v3.10.0
[CHANGES_3_10_0]: http://code.zeedhi.com/zeedhi-components/zh-layout-preferences/compare/v3.9.0...v3.10.0


## [v3.9.0][TREE_3_9_0]
[Full Changelog][CHANGES_3_9_0]

**Bugs**
- floatingControl funcionando em uma widget master-detail
- Correção no filtro default que era aplicado toda vez que entrava na widget

[TREE_3_9_0]: http://code.zeedhi.com/zeedhi-components/zh-layout-preferences/tree/v3.9.0
[CHANGES_3_9_0]: http://code.zeedhi.com/zeedhi-components/zh-layout-preferences/compare/v3.8.0...v3.9.0


## [v3.8.0][TREE_3_8_0]
[Full Changelog][CHANGES_3_8_0]

**Bugs**
- Corrigido problema que possibilitava mais de um valor como default
- Melhoria no campo de "Nome do filtro" para evitar que seja sobrescrito por outro com o mesmo name

**Improvements**
- Adicionado o label como obrigatório para salvar preferências
- Tirar as configurações de preferências da widget de configuração

[TREE_3_8_0]: http://code.zeedhi.com/zeedhi-components/zh-layout-preferences/tree/v3.8.0
[CHANGES_3_8_0]: http://code.zeedhi.com/zeedhi-components/zh-layout-preferences/compare/v3.7.0...v3.8.0

[ZEEDHI_FRONTEND]: http://code.zeedhi.com/zeedhi/frontend-framework-bower
[TRANSLATE_MANAGEMENT]: http://translate.teknisa.com
[PREFERENCES_BACKEND]: http://code.zeedhi.com/zeedhi/zh-preference-backend
[PREFERENCES_FRONTEND]: http://code.zeedhi.com/zeedhi-components/zh-customizations-service
[FILTER_PREFERENCES]: http://code.zeedhi.com/zeedhi-components/zh-filter-preferences
[VIEW_PREFERENCES]: http://code.zeedhi.com/zeedhi-components/zh-customization-preferences
